Skip to main content
GET
/
v1
/
transaction_statuses
List transaction statuses
curl --request GET \
  --url https://incoming.qomon.app/v1/transaction_statuses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "archived": true,
      "color": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": 1,
      "kind": "<string>",
      "name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "status": "<string>",
  "total": 123
}
Use these IDs as status_id when creating or updating transactions. For refunds use the status with kind: reimbursed; for cancellations use kind: other.

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Query Parameters

limit
integer<int64>
default:20

Maximum number of items to return.

Required range: 1 <= x <= 1000
offset
integer<int64>
default:0

Number of items to skip.

Required range: x >= 0

Response

OK

data
object[] | null
required
status
string
required

Operation result.

Example:

"success"

total
integer<int64>
required

Total number of matching items.

Last modified on June 16, 2026